searchNodes=[{"ref":"HN.html","title":"HN","type":"module","doc":"A simple Hacker News API client in Elixir. See https://github.com/HackerNews/API for a thorough description of the API and the fields returned from the various calls."},{"ref":"HN.html#ask_stories/0","title":"HN.ask_stories/0","type":"function","doc":"Fetch a list of ask story ids. Example iex&gt; HN.ask_stories {:ok, [22057737,22055976,22057989,22057576,22054163,22055867,22057173,22054600,22041741]}"},{"ref":"HN.html#best_stories/0","title":"HN.best_stories/0","type":"function","doc":"Fetch a list of best story ids. Example iex&gt; HN.best_stories {:ok, [22057737,22055976,22057989,22057576,22054163,22055867,22057173,22054600,22041741]}"},{"ref":"HN.html#get/3","title":"HN.get/3","type":"function","doc":"Perform a GET request. See request/1 or request/2 for options definition. get(&quot;/users&quot;) get(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get(client, &quot;/users&quot;) get(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"HN.html#get!/3","title":"HN.get!/3","type":"function","doc":"Perform a GET request. See request!/1 or request!/2 for options definition. get!(&quot;/users&quot;) get!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get!(client, &quot;/users&quot;) get!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"HN.html#item/1","title":"HN.item/1","type":"function","doc":"Fetch an item by id. Returns an HN.Item. Example iex&gt; HN.item(8863) # argument can be an integer or a string {:ok, %HN.Item{ by: &quot;dhouston&quot;, dead: nil, deleted: nil, descendants: 71, id: 8863, kids: [9224, 8917, 8952, 8884, 8887, 8869, 8958, 8940, 8908, 9005, 8873, 9671, 9067, 9055, 8865, 8881, 8872, 8955, 10403, 8903, 8928, 9125, 8998, 8901, 8902, 8907, 8894, 8870, 8878, 8980, 8934, 8943, 8876], parent: nil, parts: nil, poll: nil, score: 104, text: nil, time: 1175714200, title: &quot;My YC app: Dropbox - Throw away your USB drive&quot;, type: &quot;story&quot;, url: &quot;http://www.getdropbox.com/u/2/screencast.html&quot; }}"},{"ref":"HN.html#job_stories/0","title":"HN.job_stories/0","type":"function","doc":"Fetch a list of job story ids. Example iex&gt; HN.job_stories {:ok, [22057737,22055976,22057989,22057576,22054163,22055867,22057173,22054600,22041741]}"},{"ref":"HN.html#max_item/0","title":"HN.max_item/0","type":"function","doc":"Fetch the most recent item id. Example iex&gt; HN.max_item {:ok, &quot;22059135&quot;}"},{"ref":"HN.html#new_stories/0","title":"HN.new_stories/0","type":"function","doc":"Fetch a list of new story ids. Example iex&gt; HN.new_stories {:ok, [22057737,22055976,22057989,22057576,22054163,22055867,22057173,22054600,22041741]}"},{"ref":"HN.html#request/2","title":"HN.request/2","type":"function","doc":"Perform a request. Options :method - the request method, one of [:head, :get, :delete, :trace, :options, :post, :put, :patch] :url - either full url e.g. &quot;http://example.com/some/path&quot; or just &quot;/some/path&quot; if using Tesla.Middleware.BaseUrl :query - a keyword list of query params, e.g. [page: 1, per_page: 100] :headers - a keyworld list of headers, e.g. [{&quot;content-type&quot;, &quot;text/plain&quot;}] :body - depends on used middleware: by default it can be a binary if using e.g. JSON encoding middleware it can be a nested map if adapter supports it it can be a Stream with any of the above :opts - custom, per-request middleware or adapter options Examples ExampleApi.request(method: :get, url: &quot;/users/path&quot;) # use shortcut methods ExampleApi.get(&quot;/users/1&quot;) ExampleApi.post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;})"},{"ref":"HN.html#request!/2","title":"HN.request!/2","type":"function","doc":"Perform request and raise in case of error. This is similar to request/2 behaviour from Tesla 0.x See request/2 for list of available options."},{"ref":"HN.html#show_stories/0","title":"HN.show_stories/0","type":"function","doc":"Fetch a list of show story ids. Example iex&gt; HN.show_stories {:ok, [22057737,22055976,22057989,22057576,22054163,22055867,22057173,22054600,22041741]}"},{"ref":"HN.html#top_stories/0","title":"HN.top_stories/0","type":"function","doc":"Fetch a list of top story ids. Example iex&gt; HN.top_stories {:ok, [22057737,22055976,22057989,22057576,22054163,22055867,22057173,22054600,22041741]}"},{"ref":"HN.html#updates/0","title":"HN.updates/0","type":"function","doc":"Fetch recent item and profile changes. Example iex&gt; HN.updates {:ok, %HN.Updates{ items: [22058286, 22054517, 22055774, 22059007, 22058838, 22056363, 22056764], profiles: [&quot;nathan_compton&quot;, &quot;chasd00&quot;, &quot;yarapavan&quot;, &quot;cagenut&quot;] }}"},{"ref":"HN.html#user/1","title":"HN.user/1","type":"function","doc":"Fetch a user by name. Returns an HN.User. Example iex&gt; HN.user(&quot;jl&quot;) {:ok, %HN.User{ about: &quot;This is a test&quot;, created: 1173923446, delay: nil, id: &quot;jl&quot;, karma: 4226, submitted: [19464269, 18498213, 16659709, 16659632, 16659556, 14237416, 5252, 4752, 4586, 4289] }}"},{"ref":"HN.html#t:option/0","title":"HN.option/0","type":"type","doc":""},{"ref":"HN.Item.html","title":"HN.Item","type":"module","doc":""},{"ref":"HN.MiddleWare.Decode.html","title":"HN.MiddleWare.Decode","type":"module","doc":""},{"ref":"HN.MiddleWare.Decode.html#call/3","title":"HN.MiddleWare.Decode.call/3","type":"function","doc":"Invoked when a requset runs. (optionally) read and/or writes request data calls Tesla.run/2 (optionally) read and/or writes response data Arguments env - Tesla.Env struct that stores request/response data next - middlewares that should be called after current one options - middleware options provided by user Callback implementation for Tesla.Middleware.call/3."},{"ref":"HN.Updates.html","title":"HN.Updates","type":"module","doc":""},{"ref":"HN.User.html","title":"HN.User","type":"module","doc":""}]